<?php

namespace SGalinski\SgJobs\Domain\Model;

/***************************************************************
 *  Copyright notice
 *
 *  (c) sgalinski Internet Services (https://www.sgalinski.de)
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

use TYPO3\CMS\Extbase\DomainObject\AbstractEntity;
use TYPO3\CMS\Extbase\Persistence\ObjectStorage;

/**
 * The Job model
 */
class Job extends AbstractEntity {
	/**
	 * @var string $title
	 */
	protected $title = '';

	/**
	 * @var string $jobId
	 */
	protected $jobId = '';

	/**
	 * @var string $task
	 */
	protected $task = '';

	/**
	 * @var string $qualification
	 */
	protected $qualification = '';

	/**
	 * @var string $area
	 */
	protected $area = '';

	/**
	 * @var string $jobFunction
	 */
	protected $jobFunction = '';

	/**
	 * @var string $alternativeStartDate
	 */
	protected $alternativeStartDate = '';

	/**
	 * @var int $startDate
	 */
	protected $startDate = 0;

	/**
	 * @var \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\SGalinski\SgJobs\Domain\Model\Company> $company
	 */
	protected $company = '';

	/**
	 * @var string $description
	 */
	protected $description = '';

	/**
	 * @var \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\SGalinski\SgJobs\Domain\Model\Contact> $contact
	 */
	protected $contact;

	/**
	 * @return string
	 */
	public function getTitle() {
		return $this->title;
	}

	/**
	 * @param string $title
	 */
	public function setTitle(string $title) {
		$this->title = $title;
	}

	/**
	 * @return string
	 */
	public function getJobId() {
		return $this->jobId;
	}

	/**
	 * @param string $jobId
	 */
	public function setJobId(string $jobId) {
		$this->jobId = $jobId;
	}

	/**
	 * @return string
	 */
	public function getTask() {
		return $this->task;
	}

	/**
	 * @param string $task
	 */
	public function setTask(string $task) {
		$this->task = $task;
	}

	/**
	 * @return string
	 */
	public function getQualification() {
		return $this->qualification;
	}

	/**
	 * @param string $qualification
	 */
	public function setQualification(string $qualification) {
		$this->qualification = $qualification;
	}

	/**
	 * @return int
	 */
	public function getStartDate() {
		return $this->startDate;
	}

	/**
	 * @param int $startDate
	 */
	public function setStartDate(int $startDate) {
		$this->startDate = $startDate;
	}

	/**
	 * @return string
	 */
	public function getCompany() {
		return $this->company;
	}

	/**
	 * @param ObjectStorage $company
	 */
	public function setCompany(ObjectStorage $company) {
		$this->company = $company;
	}

	/**
	 * @return string
	 */
	public function getDescription() {
		return $this->description;
	}

	/**
	 * @param string $description
	 */
	public function setDescription(string $description) {
		$this->description = $description;
	}

	/**
	 * @return ObjectStorage
	 */
	public function getContact() {
		return $this->contact;
	}

	/**
	 * @param ObjectStorage $contact
	 */
	public function setContact(ObjectStorage $contact) {
		$this->contact = $contact;
	}

	/**
	 * @return string
	 */
	public function getArea(): string {
		return $this->area;
	}

	/**
	 * @param string $area
	 */
	public function setArea(string $area) {
		$this->area = $area;
	}

	/**
	 * @return string
	 */
	public function getJobFunction(): string {
		return $this->jobFunction;
	}

	/**
	 * @param string $jobFunction
	 */
	public function setJobFunction(string $jobFunction) {
		$this->jobFunction = $jobFunction;
	}

	/**
	 * @return string
	 */
	public function getAlternativeStartDate() {
		return $this->alternativeStartDate;
	}

	/**
	 * @param string $alternativeStartDate
	 */
	public function setAlternativeStartDate(string $alternativeStartDate) {
		$this->alternativeStartDate = $alternativeStartDate;
	}
}
